Package com.evopdf

# Class InternalLinkElement

java.lang.Object
com.evopdf.PageElement
com.evopdf.InternalLinkElement

public class InternalLinkElement extends PageElement
This class represents an internal link element in the PDF document which can be used to connect various sections of a PDF document

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InternalLinkElement(RectangleFloat linkRectangle, ExplicitDestination linkDestination)`
  Constructs a PDF internal link element with the given location and destination

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ExplicitDestination`
  `linkDestination()`
  Gets the link destination
  `RectangleFloat`
  `linkRectangle()`
  Gets the internal link element rectangle
  `void`
  `setLinkDestination(ExplicitDestination linkDestination)`
  Sets the link destination
  `void`
  `setLinkRectangle(RectangleFloat linkRectangle)`
  Sets the internal link element rectangle in PDF page

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InternalLinkElement

    public InternalLinkElement(RectangleFloat linkRectangle, ExplicitDestination linkDestination)
    Constructs a PDF internal link element with the given location and destination
    Parameters:
      `linkRectangle` - the link rectangle in page
      `linkDestination` - the link destination

- ## Method Details

  - ### linkRectangle

    public RectangleFloat linkRectangle()
    Gets the internal link element rectangle
    Returns:
      the internal link element rectangle in PDF page

  - ### setLinkRectangle

    public void setLinkRectangle(RectangleFloat linkRectangle)
    Sets the internal link element rectangle in PDF page
    Parameters:
      `linkRectangle` - the internal link element rectangle to set

  - ### linkDestination

    public ExplicitDestination linkDestination()
    Gets the link destination
    Returns:
      the link destination

  - ### setLinkDestination

    public void setLinkDestination(ExplicitDestination linkDestination)
    Sets the link destination
    Parameters:
      `linkDestination` - the link destination to set